Data Structures | Defines | Typedefs | Variables

# network_base.h File Reference

Base core network types and some helper functions to access them. More...

`#include "network_type.h"`
`#include "core/address.h"`
`#include "../core/pool_type.hpp"`
`#include "../company_type.h"`

Go to the source code of this file.

## Data Structures
struct | NetworkClientInfo
| Container for all information known about a client. More...
## Defines
#define | FOR_ALL_CLIENT_INFOS_FROM(var, start) FOR_ALL_ITEMS_FROM(NetworkClientInfo, clientinfo_index, var, start)
| Iterate over all the clients from a given index.
#define | FOR_ALL_CLIENT_INFOS(var) FOR_ALL_CLIENT_INFOS_FROM(var, 0)
| Iterate over all the clients.
## Typedefs
typedef Pool < NetworkClientInfo, ClientIndex, 8, MAX_CLIENT_SLOTS, PT_NCLIENT > | NetworkClientInfoPool
| Type for the pool with client information.
## Variables
NetworkClientInfoPool | _networkclientinfo_pool
| The pool with client information.

## Detailed Description

Base core network types and some helper functions to access them.

Definition in file network_base.h.

## Define Documentation

#define FOR_ALL_CLIENT_INFOS | ( |  | var | ) | FOR_ALL_CLIENT_INFOS_FROM(var, 0)

Iterate over all the clients.

Parameters:

  | var | The variable to iterate with.

Definition at line 55 of file network_base.h.

Referenced by NetworkClientListWindow::CheckClientListHeight(), NetworkClientListWindow::DrawWidget(), NetworkClientInfo::GetByClientID(), NetworkAutoCleanCompanies(), NetworkClientPreferTeamChat(), NetworkClientsToSpectators(), NetworkCompanyHasClients(), NetworkFindName(), NetworkPrintClients(), NetworkServerChangeClientName(), NetworkClientListWindow::OnClick(), and NetworkClientListWindow::UpdateWidgetSize().

#define FOR_ALL_CLIENT_INFOS_FROM | ( |  | var,
|  |  | start |
| ) |  |  | FOR_ALL_ITEMS_FROM(NetworkClientInfo, clientinfo_index, var, start)

Iterate over all the clients from a given index.

Parameters:

  | var | The variable to iterate with.
  | start | The location to start the iteration from.

Definition at line 49 of file network_base.h.

Referenced by NetworkChatWindow::ChatTabCompletionNextItem().

## Typedef Documentation

typedef Pool<NetworkClientInfo, ClientIndex, 8, MAX_CLIENT_SLOTS, PT_NCLIENT> NetworkClientInfoPool

Type for the pool with client information.

Definition at line 23 of file network_base.h.

## Variable Documentation

NetworkClientInfoPool _networkclientinfo_pool

The pool with client information.